/*
 * Copyright (C) 2014 kgto.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301  USA
 */
package WebScraping;

import javax.swing.text.MutableAttributeSet;
import javax.swing.text.html.HTML;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author kgto
 */


public class DebugProcessTest {
    
    public DebugProcessTest() {
    }
    
    @BeforeClass
    public static void setUpClass() {
    }
    
    @AfterClass
    public static void tearDownClass() {
    }

    /**
     * Test of debuglog_set method, of class DebugProcess.
     */
    @Test
    public void testDebuglog_set() {
        System.out.println("debuglog_set");
        DebugProcess.debuglog_set();
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of debuglog_unset method, of class DebugProcess.
     */
    @Test
    public void testDebuglog_unset() {
        System.out.println("debuglog_unset");
        DebugProcess.debuglog_unset();
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of htmlinfo method, of class DebugProcess.
     */
    @Test
    public void testHtmlinfo_4args() {
        System.out.println("htmlinfo");
        HTML.Tag tag = null;
        MutableAttributeSet attr = null;
        String methodname = "";
        int count = 0;
        DebugProcess.htmlinfo(tag, attr, methodname, count);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of htmlinfo method, of class DebugProcess.
     */
    @Test
    public void testHtmlinfo_String() {
        System.out.println("htmlinfo");
        String str = "";
        DebugProcess.htmlinfo(str);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of htmlinfo method, of class DebugProcess.
     */
    @Test
    public void testHtmlinfo_charArr() {
        System.out.println("htmlinfo");
        char[] data = null;
        DebugProcess.htmlinfo(data);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
}
